#include <maps/wikimap/mapspro/services/mrc/libs/toloka_manager/tests/common.h>

namespace maps::mrc::toloka::tests {

TEST_F(Fixture, create_get_free_traffic_light_detection_task_test)
{
    DetectionInput input(DUMMY_IMAGE_URL);
    testCreateGetFreeTask<TrafficLightDetectionTask>(pool(), input);
} // TEST_F(Fixture, create_get_free_traffic_light_detection_task_test)

TEST_F(Fixture, serialize_known_solutions_traffic_light_detection_task_test)
{
    testSerializeKnownSolutionsDetectionTask<TrafficLightDetectionTask>();
} // TEST_F(Fixture, serialize_known_solutions_traffic_light_detection_task_test)

TEST_F(Fixture, create_known_solutions_traffic_light_detection_task_test)
{
    testCreateKnownSolutionsDetectionTask<TrafficLightDetectionTask>(pool());
} // TEST_F(Fixture, create_known_solutions_traffic_light_detection_task_test)

} // namespace maps::mrc::toloka::tests
